Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 13-02-2020 16:51:09

debi1
Membre
Distrib. : Debian GNU/Linux 9.5 (stretch)
Noyau : Linux 4.9.0-8-amd64
(G)UI : gnome 3.22.3
Inscription : 01-05-2015

node.js OK mais npm NOK

Bonjour

Sous DEBIAN 9 (64 bits) après l'installation de node.js qui n'a générée aucune erreur, nmp lui me pose problème.

sudo apt install nmp


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet nmp



Une idée ?
Bon après midi.

Dernière modification par debi1 (13-02-2020 17:00:35)

Hors ligne

#2 13-02-2020 16:57:54

Cauryl
Membre
Distrib. : Debian Buster
(G)UI : Xfce
Inscription : 12-02-2020

Re : node.js OK mais npm NOK

Salut !

Faute de frappe. C'est NPM pour Node Package Manager. tongue

Hors ligne

#3 13-02-2020 17:00:12

debi1
Membre
Distrib. : Debian GNU/Linux 9.5 (stretch)
Noyau : Linux 4.9.0-8-amd64
(G)UI : gnome 3.22.3
Inscription : 01-05-2015

Re : node.js OK mais npm NOK

Oui, au temps pour moi, il faut lire dans mon message NPM que je corrige dans le titre ...
Mon problème d'install est lui réél cool

Hors ligne

#4 13-02-2020 17:59:41

David5647
Membre
Distrib. : Debian Bullseye/Sid
Noyau : 5.7.0-2-amd64
(G)UI : KDE/i3wm
Inscription : 27-08-2017

Re : node.js OK mais npm NOK

nmp => npm?

Hors ligne

#5 13-02-2020 18:09:29

debi1
Membre
Distrib. : Debian GNU/Linux 9.5 (stretch)
Noyau : Linux 4.9.0-8-amd64
(G)UI : gnome 3.22.3
Inscription : 01-05-2015

Re : node.js OK mais npm NOK

il est question ici de NPM (et non pas nmp comme je l'avais annoncé...Cauryl me l'ayant fait remarqué j'ai corrigé)
NPM ne veut donc pas s'installer .

Hors ligne

#6 13-02-2020 18:22:23

David5647
Membre
Distrib. : Debian Bullseye/Sid
Noyau : 5.7.0-2-amd64
(G)UI : KDE/i3wm
Inscription : 27-08-2017

Re : node.js OK mais npm NOK

Yop, désolé, ça aurait été plus clair si ça avait été corrigé partout non? tongue

pas de paquet npm dans la old stable : https://packages.debian.org/search?suit … ywords=npm
du coup voir les backports

Dernière modification par David5647 (13-02-2020 18:24:53)

Hors ligne

Pied de page des forums